The following commit has been merged in the master branch:
commit 1fc3979d5f909e9bf081f28ac8668cdbab3a5d3e
Author: Eugeniy Meshcheryakov <eu...@debian.org>
Date:   Tue Apr 5 19:42:26 2011 +0200

    New patch:
    
    * New patch:
      - pycaml-build-check.diff - check for python version only if pycaml is not
        installed

diff --git a/debian/changelog b/debian/changelog
index c8092ae..7f85c3f 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,8 +1,11 @@
 coccinelle (0.2.5.deb-1) unstable; urgency=low
 
   * New upstream release
+  * New patch:
+    - pycaml-build-check.diff - check for python version only if pycaml is not
+      installed
 
- -- Євгеній Мещеряков <eu...@debian.org>  Tue, 05 Apr 2011 19:34:46 +0200
+ -- Євгеній Мещеряков <eu...@debian.org>  Tue, 05 Apr 2011 19:41:48 +0200
 
 coccinelle (0.2.4.deb-3) unstable; urgency=low
 
diff --git a/debian/patches/pycaml-build-check.diff 
b/debian/patches/pycaml-build-check.diff
new file mode 100644
index 0000000..38ff436
--- /dev/null
+++ b/debian/patches/pycaml-build-check.diff
@@ -0,0 +1,44 @@
+--- a/configure
++++ b/configure
+@@ -206,20 +206,6 @@ if($python) {
+     {
+       $python=0;
+     }
+-    if($python) {
+-      my $PY_PREFIX = `python pycaml/getprefix.py | tr -d '\n'`;
+-      $PY_VERSION = `python pycaml/getversion.py | tr -d '\n'`;
+-      my $python_hdr = "$PY_PREFIX/include/python$PY_VERSION/Python.h";
+-      if(check_config(
+-          "ls $python_hdr 2> /dev/null | ",
+-          $python_hdr,
+-          "Python.h found",
+-          "Python.h missing - You need to install python-dev"
+-          ))
+-      {
+-          $python=0
+-      }
+-    }
+ }
+ 
+ my $ocamlfind=!check_config(
+@@ -237,6 +223,20 @@ if($syspydir) {
+     pr2 "'pycaml' library is present in $pydir";
+ } else {
+     pr2 "'pycaml' library is not present. A local copy will be used.";
++    if($python) {
++      my $PY_PREFIX = `python pycaml/getprefix.py | tr -d '\n'`;
++      $PY_VERSION = `python pycaml/getversion.py | tr -d '\n'`;
++      my $python_hdr = "$PY_PREFIX/include/python$PY_VERSION/Python.h";
++      if(check_config(
++          "ls $python_hdr 2> /dev/null | ",
++          $python_hdr,
++          "Python.h found",
++          "Python.h missing - You need to install python-dev"
++          ))
++      {
++          $python=0
++      }
++    }
+ }
+ 
+ # menhirLib. Runtime system for the parsers generated with menhir
diff --git a/debian/patches/series b/debian/patches/series
index e69de29..9475bed 100644
--- a/debian/patches/series
+++ b/debian/patches/series
@@ -0,0 +1 @@
+pycaml-build-check.diff

-- 
Debian packaging for coccinelle

_______________________________________________
Pkg-ocaml-maint-commits mailing list
Pkg-ocaml-maint-commits@lists.alioth.debian.org
http://lists.alioth.debian.org/mailman/listinfo/pkg-ocaml-maint-commits

Reply via email to